default:
  image: node:15.4.0

cache:
  key:
    files:
      - package-lock.json
  paths:
    - node_modules

stages:
  - staging-deploy
  - production-deploy

staging-deploy:
  stage: staging-deploy
  only:
    - staging
  script:
    - npm install
    - npm run generate
    - npm install -g netlify-cli
    - npx netlify deploy --site $NETLIFY_SITE_ID --auth $NETLIFY_AUTH_TOKEN --dir=./dist

production-deploy:
  stage: production-deploy
  only:
    - production
  script:
    - npm install
    - npm run generate
    - npm install -g netlify-cli
    - npx netlify deploy --prod --site $NETLIFY_SITE_ID --auth $NETLIFY_AUTH_TOKEN --dir=./dist
